GHSA-p62q-5483-h57v

Suggest an improvement
Source
https://github.com/advisories/GHSA-p62q-5483-h57v
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/11/GHSA-p62q-5483-h57v/GHSA-p62q-5483-h57v.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-p62q-5483-h57v
Aliases
Published
2023-11-15T15:30:21Z
Modified
2024-02-16T08:09:16.029679Z
Severity
  • 7.7 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N CVSS Calculator
Summary
Quarkus does not properly sanitize artifacts created from its use of the Gradle plugin, allowing certain build system information to remain
Details

A flaw was found in Quarkus, where it does not properly sanitize artifacts created using the Gradle plugin, allowing certain build system information to remain. This flaw allows an attacker to access potentially sensitive information from the build system within the application.

References

Affected packages

Maven / io.quarkus:quarkus-project

Package

Name
io.quarkus:quarkus-project
View open source insights on deps.dev
Purl
pkg:maven/io.quarkus/quarkus-project

Affected ranges

Type
ECOSYSTEM
Events
Introduced
3.0.0.CR1
Last affected
3.5.1

Affected versions

3.*

3.1.0.Final
3.1.1.Final
3.1.2.Final
3.1.3.Final
3.2.0.CR1
3.2.0.Final
3.2.1.Final
3.2.2.Final
3.2.3.Final
3.2.4.Final
3.2.5.Final
3.2.6.Final
3.2.7.Final
3.2.8.Final
3.2.9.Final
3.2.10.Final
3.3.0.CR1
3.3.0
3.3.1
3.3.2
3.3.3
3.4.0.CR1
3.4.0
3.4.1
3.4.2
3.4.3
3.5.0.CR1
3.5.0
3.5.1